#pragma once

#include "../databasemanager.h"
#include "../../core/models/folder.h"
#include <QVector>
#include <optional>

class FolderDao
{
public:
    static bool insert(const Folder& folder);
    static bool update(const Folder& folder);
    static bool remove(int id);
    static std::optional<Folder> findById(int id);
    static QVector<Folder> findAll();
    static QVector<Folder> findByAccountId(int accountId);
};